// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : CustOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
var CustOrder_PlantNr = grmi.NewField("PlantNr", "OM_CustOrder.PlantNr", "plantnr", grmi.TypeInt)
var CustOrder_CustOrderId = grmi.NewField("CustOrderId", "OM_CustOrder.CustOrderId", "custorderid", grmi.TypeString)
var CustOrder_OemOrderId = grmi.NewField("OemOrderId", "OM_CustOrder.OemOrderId", "oemorderid", grmi.TypeString)
var CustOrder_OrderInfo = grmi.NewField("OrderInfo", "OM_CustOrder.OrderInfo", "orderinfo", grmi.TypeString)
var CustOrder_ArtId = grmi.NewField("ArtId", "OM_CustOrder.ArtId", "artid", grmi.TypeString)
var CustOrder_ArtDesc = grmi.NewField("ArtDesc", "OM_CustOrder.ArtDesc", "artdesc", grmi.TypeString)
var CustOrder_OrderTime = grmi.NewField("OrderTime", "OM_CustOrder.OrderTime", "ordertime", grmi.TypeDateTime)
var CustOrder_DDT = grmi.NewField("DDT", "OM_CustOrder.DDT", "ddt", grmi.TypeDateTime)
var CustOrder_ProjectId = grmi.NewField("ProjectId", "OM_CustOrder.ProjectId", "projectid", grmi.TypeString)
var CustOrder_ArtTypeId = grmi.NewField("ArtTypeId", "OM_CustOrder.ArtTypeId", "arttypeid", grmi.TypeString)
var CustOrder_ArtTypeDesc = grmi.NewField("ArtTypeDesc", "OM_CustOrder.ArtTypeDesc", "arttypedesc", grmi.TypeString)
var CustOrder_SEQ = grmi.NewField("SEQ", "OM_CustOrder.SEQ", "seq", grmi.TypeInt)
var CustOrder_Status = grmi.NewField("Status", "OM_CustOrder.Status", "status", grmi.TypeInt)
var CustOrder_TaskNr = grmi.NewField("TaskNr", "OM_CustOrder.TaskNr", "tasknr", grmi.TypeInt)
var CustOrder_ParseStatus = grmi.NewField("ParseStatus", "OM_CustOrder.ParseStatus", "parsestatus", grmi.TypeInt)
var CustOrder_ErrNum = grmi.NewField("ErrNum", "OM_CustOrder.ErrNum", "errnum", grmi.TypeInt)
var CustOrder_ErrInfo = grmi.NewField("ErrInfo", "OM_CustOrder.ErrInfo", "errinfo", grmi.TypeString)
var CustOrder_CustomerId = grmi.NewField("CustomerId", "OM_CustOrder.CustomerId", "customerid", grmi.TypeString)
var CustOrder_VIN = grmi.NewField("VIN", "OM_CustOrder.VIN", "vin", grmi.TypeString)
var CustOrder_CalloffNr = grmi.NewField("CalloffNr", "OM_CustOrder.CalloffNr", "calloffnr", grmi.TypeInt)
var CustOrder_LastModify = grmi.NewField("LastModify", "OM_CustOrder.LastModify", "lastmodify", grmi.TypeDateTime)
var CustOrder_LastUser = grmi.NewField("LastUser", "OM_CustOrder.LastUser", "lastuser", grmi.TypeString)
var CustOrder_CreateTime = grmi.NewField("CreateTime", "OM_CustOrder.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : CustOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-20 14:37:20
 *
 ******************************************************************************/
var CustOrder = grmi.NewEntity(
	"OM_CustOrder",
	func() interface{} { return &model.CustOrder{} },
	map[string]grmi.Field{
		CustOrder_PlantNr.Name:     CustOrder_PlantNr,
		CustOrder_CustOrderId.Name: CustOrder_CustOrderId,
		CustOrder_OemOrderId.Name:  CustOrder_OemOrderId,
		CustOrder_OrderInfo.Name:   CustOrder_OrderInfo,
		CustOrder_TaskNr.Name:      CustOrder_TaskNr,
		CustOrder_ArtId.Name:       CustOrder_ArtId,
		CustOrder_ArtDesc.Name:     CustOrder_ArtDesc,
		CustOrder_OrderTime.Name:   CustOrder_OrderTime,
		CustOrder_DDT.Name:         CustOrder_DDT,
		CustOrder_ProjectId.Name:   CustOrder_ProjectId,
		CustOrder_ArtTypeId.Name:   CustOrder_ArtTypeId,
		CustOrder_ArtTypeDesc.Name: CustOrder_ArtTypeDesc,
		CustOrder_SEQ.Name:         CustOrder_SEQ,
		CustOrder_Status.Name:      CustOrder_Status,
		CustOrder_ParseStatus.Name: CustOrder_ParseStatus,
		CustOrder_ErrNum.Name:      CustOrder_ErrNum,
		CustOrder_ErrInfo.Name:     CustOrder_ErrInfo,
		CustOrder_CustomerId.Name:  CustOrder_CustomerId,
		CustOrder_VIN.Name:         CustOrder_VIN,
		CustOrder_CalloffNr.Name:   CustOrder_CalloffNr,
		CustOrder_LastModify.Name:  CustOrder_LastModify,
		CustOrder_LastUser.Name:    CustOrder_LastUser,
		CustOrder_CreateTime.Name:  CustOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"OemOrderId", "OrderInfo", "ArtId", "ArtDesc", "OrderTime", "DDT", "ProjectId", "ArtTypeId", "ArtTypeDesc", "SEQ", "Status", "TaskNr", "ParseStatus", "ErrNum", "ErrInfo", "CustomerId", "VIN", "CalloffNr", "LastUser"})
